function image = Array_to_image(array)

Common_para;
image = [];

N_array = length(array);
if mod(N_array, letter_size) ~= 0
    error('Worng length');
end
margin = zeros(letter_row,1);   

N_character = N_array/letter_size;
for i = 1 : N_character
    letter = [];
    m = (i - 1) * letter_size + 1;
    for j = 1 : letter_row
        n_s = m + (j-1) * letter_column;
        n_e = n_s + letter_column - 1;
        letter(j,:) = array(n_s : n_e);
    end
    image = [ image, letter, margin];
end
image = [margin, margin, margin, image, margin, margin];
[margin_r, margin_c] = size(image);
image = [zeros(1,margin_c); ...
         zeros(1,margin_c); ...
         zeros(1,margin_c); ...
         image; ...
         zeros(1,margin_c);...
         zeros(1,margin_c); ...
         zeros(1,margin_c)];
     
return;

